/*
 * $Id: main.h 477 2008-05-12 21:26:19Z jasta $
 *
 * Copyright (C) 2008 Josh Guilfoyle <jasta@devtcg.org>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef __MAIN_H
#define __MAIN_H

/*****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <assert.h>

#include <glib.h>

/*****************************************************************************/

#if defined(ENABLE_NLS) && !defined(_)
# include <libintl.h>
# define _(x) gettext(x)
# ifdef gettext_noop
#  define N_(String) gettext_noop(String)
# else
#  define N_(String) (String)
# endif /* gettext_noop */
#endif
#if !defined(_)
# define N_(String) (String)
# define _(x) (x)
#endif

/*****************************************************************************/

void main_startup(gboolean firsttime);

/*****************************************************************************/

#endif /* __MAIN_H */
